# Retrieve a payment run summary Retrives the summary of a payment run. Endpoint: GET /v1/payment-runs/{paymentRunKey}/summary Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `paymentRunKey` (string, required) The unique ID of a payment run or the payment run number. For example, 402890245f097f39015f0f074a2e0566. ## Response 200 fields (application/json): - `numberOfCreditBalanceAdjustments` (integer) Note: This field is only available if you have the Credit Balance feature enabled. The number of credit balance adjustments that are successfully processed in the payment run. - `numberOfCreditMemos` (integer) Note: This field is only available if you have the Invoice Settlement feature enabled. The total number of credit memos that are successfully processed in the payment run. - `numberOfDebitMemos` (integer) Note: This field is only available if you have the Invoice Settlement feature enabled. The total number of debit memos that are picked up for processing in the payment run. - `numberOfErrorInputData` (integer) The number of input data that are processed with errors. - `numberOfErrors` (integer) The number of payments with the status of Error and Processing. - `numberOfInputData` (integer) The total number of input data. - `numberOfInvoices` (integer) Note: This field is only available if you have the Invoice Settlement feature enabled. The total number of invoices that are picked up for processing in the payment run. - `numberOfPayments` (integer) The number of payments that are successfully processed in the payment run. - `numberOfProcessedInputData` (integer) The number of input data that are successfully processed. - `numberOfReceivables` (integer) The total number of receivables that are picked up for processing in the payment run. The value of this field is the sum of the value of the numberOfInvoices field and that of the numberOfDebitMemos field. - `numberOfUnappliedPayments` (integer) Note: This field is only available if you have the Invoice Settlement feature enabled. The number of unapplied payments that are successfully processed in the payment run. - `numberOfUnprocessedDebitMemos` (integer) Note: This field is only available if you have the Invoice Settlement feature enabled. The number of debit memos with remaining positive balances after the payment run is completed. - `numberOfUnprocessedInvoices` (integer) Note: This field is only available if you have the Invoice Settlement feature enabled. The number of invoices with remaining positive balances after the payment run is completed. - `numberOfUnprocessedReceivables` (integer) The number of receivables with remaining positive balances after the payment run is completed. - `success` (boolean) Returns true if the request was processed successfully. - `totalValues` (array) Container for total values. - `totalValues.totalValueOfCreditBalance` (string) Note: This field is only available if you have the Credit Balance feature enabled. The total amount of credit balance after the payment run is completed. - `totalValues.totalValueOfCreditMemos` (string) Note: This field is only available if you have the Invoice Settlement feature enabled. The total amount of credit memos that are successfully processed in the payment run. - `totalValues.totalValueOfDebitMemos` (string) Note: This field is only available if you have the Invoice Settlement feature enabled. The total amount of debit memos that are picked up for processing in the payment run. - `totalValues.totalValueOfErrors` (string) The total amount of receivables associated with the payments with the status of Error and Processing. - `totalValues.totalValueOfInvoices` (string) Note: This field is only available if you have the Invoice Settlement feature enabled. The total amount of invoices that are picked up for processing in the payment run. - `totalValues.totalValueOfPayments` (string) The total amount of payments that are successfully processed in the payment run. - `totalValues.totalValueOfReceivables` (string) The total amount of receivables associated with the payment run. The value of this field is the sum of the value of the totalValueOfInvoices field and that of the totalValueOfDebitMemos field. - `totalValues.totalValueOfUnappliedPayments` (integer) Note: This field is only available if you have the Invoice Settlement feature enabled. The total amount of unapplied payments that are successfully processed in the payment run. - `totalValues.totalValueOfUnprocessedDebitMemos` (string) Note: This field is only available if you have the Invoice Settlement feature enabled. The total amount of debit memos with remaining positive balances after the payment run is completed. - `totalValues.totalValueOfUnprocessedInvoices` (string) Note: This field is only available if you have the Invoice Settlement feature enabled. The total amount of invoices with remaining positive balances after the payment run is completed. - `totalValues.totalValueOfUnprocessedReceivables` (string) The total amount of receivables with remaining positive balances after the payment run is completed.